Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class TransportOutDescription

    java.lang.Object
      org.apache.axis2.description.TransportOutDescription

All Implemented Interfaces:
  ParameterInclude

    public class TransportOutDescription

extends java.lang.Object
implements ParameterInclude

Represents a transport deployed in AXis2

Field Summary
`protected java.lang.String` | `name` Field name
`protected ParameterInclude` | `paramInclude` Field paramInclude
`protected TransportSender` | `sender`

Constructor Summary
`TransportOutDescription(java.lang.String name)` Constructor AxisTransport.

Method Summary
`void` | `addParameter(Parameter param)` Method addParameter.
`void` | `deserializeParameters(org.apache.axiom.om.OMElement parameterElement)`
`Flow` | `getFaultFlow()`
`Phase` | `getFaultPhase()`
`java.lang.String` | `getName()`
`Flow` | `getOutFlow()`
`Phase` | `getOutPhase()`
`Parameter` | `getParameter(java.lang.String name)` Method getParameter.
`java.util.ArrayList<Parameter>` | `getParameters()` Gets all the parameters in a given description.
`TransportSender` | `getSender()`
`boolean` | `isParameterLocked(java.lang.String parameterName)` Checks whether the parameter is locked at any level.
`void` | `removeParameter(Parameter param)`
`void` | `setFaultFlow(Flow faultFlow)`
`void` | `setFaultPhase(Phase faultPhase)`
`void` | `setName(java.lang.String name)`
`void` | `setOutFlow(Flow outFlow)`
`void` | `setOutPhase(Phase outPhase)`
`void` | `setSender(TransportSender sender)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Field name

### paramInclude

    protected final ParameterInclude paramInclude

  Field paramInclude

### sender

    protected TransportSender sender

Constructor Detail

### TransportOutDescription

    public TransportOutDescription(java.lang.String name)

  Constructor AxisTransport.

  Parameters:
    `name` -

Method Detail

### addParameter

    public void addParameter(Parameter param)
                      throws AxisFault

  Method addParameter.

  Specified by:
    `addParameter` in interface `ParameterInclude`
  Parameters:
    `param` -
  Throws:
    `AxisFault`

### removeParameter

    public void removeParameter(Parameter param)
                         throws AxisFault

  Specified by:
    `removeParameter` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### deserializeParameters

    public void deserializeParameters(org.apache.axiom.om.OMElement parameterElement)
                               throws AxisFault

  Specified by:
    `deserializeParameters` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### getFaultFlow

    public Flow getFaultFlow()

### getFaultPhase

    public Phase getFaultPhase()

### getName

    public java.lang.String getName()

  Returns:
    Returns QName.

### getOutFlow

    public Flow getOutFlow()

### getOutPhase

    public Phase getOutPhase()

### getParameter

    public Parameter getParameter(java.lang.String name)

  Method getParameter.

  Specified by:
    `getParameter` in interface `ParameterInclude`
  Parameters:
    `name` -
  Returns:
    Returns Parameter.

### getParameters

    public java.util.ArrayList<Parameter> getParameters()

  Description copied from interface: `ParameterInclude`
  Gets all the parameters in a given description.

  Specified by:
    `getParameters` in interface `ParameterInclude`
  Returns:
    Returns ArrayList.

### getSender

    public TransportSender getSender()

  Returns:
    Returns TransportSender.

### isParameterLocked

    public boolean isParameterLocked(java.lang.String parameterName)

  Description copied from interface: `ParameterInclude`
  Checks whether the parameter is locked at any level.

  Specified by:
    `isParameterLocked` in interface `ParameterInclude`

### setFaultFlow

    public void setFaultFlow(Flow faultFlow)

### setFaultPhase

    public void setFaultPhase(Phase faultPhase)

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` -

### setOutFlow

    public void setOutFlow(Flow outFlow)

### setOutPhase

    public void setOutPhase(Phase outPhase)

### setSender

    public void setSender(TransportSender sender)

  Parameters:
    `sender` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.